#include <bits/stdc++.h>
using namespace std;
int main() {
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    long long x = 1;
    string s, s1 = "";
    cin >> s;
    reverse(s.begin(), s.end());
    for(int i = 0; i < s.size(); i++){
        x = s[i] - 'a' + 49;
        if(x == 0 && i != 0){
            s1 += '0';
        }
        if(x != 0 && x != 5 && x != 2){
            s1 += s[i];
        }
        if(x == 5){
            s1 += '2';
        }
        if(x == 2) {
            s1 += '5';
        }
    }
    cout << s1;
}
